<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Settings params
 */
return apply_filters( 'wc_chargeafter_settings',
	array(
		'enabled'                => array(
			'title'       => __( 'Enable/Disable', 'chargeafter-extension' ),
			'label'       => __( 'Enable Consumer Financing by ChargeAfter', 'chargeafter-extension' ),
			'type'        => 'checkbox',
			'description' => '',
			'default'     => 'yes',
		),
		'title'                  => array(
			'title'       => __( 'Title', 'chargeafter-extension' ),
			'type'        => 'text',
			'description' => __( 'This controls the title which the user sees during checkout.', 'chargeafter-extension' ),
			'default'     => __( 'Checkout Finance', 'chargeafter-extension' ),
			'desc_tip'    => true,
		),
		'is_production'          => array(
			'title'       => __( 'Production Mode', 'chargeafter-extension' ),
			'label'       => __( 'Enable Production Mode', 'chargeafter-extension' ),
			'type'        => 'checkbox',
			'description' => 'The production mode uses the production ChargeAfter keys and switches the script to the production environment. Don`t activate for testing!',
			'default'     => 'no',
			'desc_tip'    => true,
		),
		'sandbox_public_key'     => array(
			'title'       => __( 'Sandbox Public Key', 'chargeafter-extension' ),
			'type'        => 'text',
			'description' => __( 'Set your sandbox public key provided by ChargeAfter.', 'chargeafter-extension' ),
			'default'     => '',
			'desc_tip'    => true,
		),
		'sandbox_private_key'    => array(
			'title'       => __( 'Sandbox Private Key', 'chargeafter-extension' ),
			'type'        => 'password',
			'description' => __( 'Set your sandbox private key provided by ChargeAfter.', 'chargeafter-extension' ),
			'default'     => '',
			'desc_tip'    => true,
		),
		'production_public_key'  => array(
			'title'       => __( 'Production Public Key', 'chargeafter-extension' ),
			'type'        => 'text',
			'description' => __( 'Set your production public key provided by ChargeAfter.', 'chargeafter-extension' ),
			'default'     => '',
			'desc_tip'    => true,
		),
		'production_private_key' => array(
			'title'       => __( 'Production Private Key', 'chargeafter-extension' ),
			'type'        => 'password',
			'description' => __( 'Set your production private key provided by ChargeAfter.', 'chargeafter-extension' ),
			'default'     => '',
			'desc_tip'    => true,
		),
		'payment_action' => array(
			'title'       => __( 'Transaction type', 'chargeafter-extension' ),
			'type'        => 'select',
			'class'       => 'wc-enhanced-select',
			'description' => __( 'Choose transaction type: Capture the order immediately or authorize only.', 'chargeafter-extension' ),
			'default'     => 'authorization',
			'desc_tip'    => true,
			'options'     => array(
				'authorization' => __( 'Authorization', 'chargeafter-extension' ),
				'sale'          => __( 'Capture', 'chargeafter-extension' ),
			),
		),
		'icon'                   => array(
			'title'       => __( 'Checkout Brands', 'chargeafter-extension' ),
			'type'        => 'hidden',
			'description' => __( 'Select icon for ChargeAfter payment method', 'chargeafter-extension' ),
			'default'     => 'chargeafter',
			'desc_tip'    => true,
		),
		'enabled_promo'          => array(
			'title'             => __( 'Enable/Disable Promo', 'chargeafter-extension' ),
			'label'             => __( 'Enable Promotional Widget to a Product Page', 'chargeafter-extension' ),
			'type'              => 'checkbox',
			'description'       => __( 'This widget will display the offer with the lowest interest rate that a consumer can get.', 'chargeafter-extension' ),
			'default'           => 'yes',
			'desc_tip'          => true,
			'custom_attributes' => array(
				'onclick' => 'toogleFieldDisabled("promo_url");'
			)
		),
		'promo_url'              => array(
			'title'          => __( 'Financing page URL', 'chargeafter-extension' ),
			'type'           => 'url',
			'description'    => __( 'The financing page URL is used to notify the user of more detailed funding information. Link can be absolute.', 'chargeafter-extension' ),
			'desc_tip'       => true,
			'default'        => get_home_url(null, '/'),
			'parent_element' => array(
				'enabled_promo' => 'yes'
			)
		),
		'enabled_data_update'    => array(
			'title'             => __( 'Enable/Disable Data Update', 'chargeafter-extension' ),
			'label'             => __( 'Enable Customer Data Update', 'chargeafter-extension' ),
			'type'              => 'checkbox',
			'description'       => __( 'Once you receive updated information from ChargeAfter Checkout Flow, the information will be updated in Woocommerce.', 'chargeafter-extension' ),
			'default'           => 'no',
			'desc_tip'          => true,
		),
	)
);
