<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class WC_ChargeAfter_Logger
 */
class WC_ChargeAfter_Logger {
	/**
	 * Log Filename
	 */
	const WC_LOG_FILENAME = 'chargeafter-extension';

	/**
	 * WC_Logger Instance
	 *
	 * @var WC_Logger
	 */
	public static $logger;

	/**
	 * Log
	 *
	 * @param $message
	 * @param null $start_time
	 * @param null $end_time
	 */
	public static function log( $message, $start_time = null, $end_time = null ) {
		if ( empty( self::$logger ) ) {
			self::$logger = new WC_Logger();
		}

		if ( ! is_null( $start_time ) ) {
			$formatted_start_time = date_i18n( get_option( 'date_format' ) . ' g:ia', $start_time );
			$end_time             = is_null( $end_time ) ? current_time( 'timestamp' ) : $end_time;
			$formatted_end_time   = date_i18n( get_option( 'date_format' ) . ' g:ia', $end_time );
			$elapsed_time         = round( abs( $end_time - $start_time ) / 60, 2 );

			$log_entry = '====Start Log ' . $formatted_start_time . '====' . "\n" . $message . "\n";
			$log_entry .= '====End Log ' . $formatted_end_time . ' (' . $elapsed_time . ')====' . "\n\n";

		} else {

			$log_entry = '====Start Log====' . "\n" . $message . "\n" . '====End Log====' . "\n\n";

		}
		self::$logger->add( self::WC_LOG_FILENAME, $log_entry );
	}
}
